#
# spec file for package gap-4ti2interface
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           gap-4ti2interface
Version:        2023.02.04
%define sillyversion 2023.02-04
Release:        1.2
Summary:        GAP: Interface to 4ti2
License:        GPL-2.0-only
Group:          Productivity/Scientific/Math
URL:            https://homalg-project.github.io/homalg_project/4ti2Interface/
#Git-Clone:     https://github.com/homalg-project/homalg_project
Source:         https://github.com/homalg-project/homalg_project/releases/download/4ti2Interface-%sillyversion/4ti2Interface-%sillyversion.tar.gz
BuildArch:      noarch
BuildRequires:  gap-rpm-devel
Requires:       4ti2
Requires:       gap-core >= 4.12.1
Requires:       gap-io >= 4.2
Suggests:       gap-autodoc >= 2013.08.22

%description
This package provides a GAP module to interface with 4ti2,
a collection of programs that compute and solve algebraic,
geometric and combinational problems on linear spaces.

%prep
%autosetup -n 4ti2Interface-%sillyversion

%build

%install
%gappkg_simple_install

%files -f %name.files

%changelog
* Sat Mar 23 2024 Jan Engelhardt <jengelh@inai.de>
- Update to release 2023.02.04
  * Ignore warnings about egrep being obsolescent coming from 4ti2
* Sun Oct  2 2022 Jan Engelhardt <jengelh@inai.de>
- Update to release 2022.09.01
  * No changelog was provided
* Fri Oct 19 2018 Jan Engelhardt <jengelh@inai.de>
- Update to new upstream release 2018.07.06
  * No changelog was provided
* Fri Dec 22 2017 jengelh@inai.de
- Update to new upstream release 2017.10.04
  * Added COPYING file
* Fri Sep  8 2017 jengelh@inai.de
- Update to new upstream release 2017.01.05
  * No changelog was provided
* Mon Dec  7 2015 jengelh@inai.de
- Update to new upstream release 2015.11.06
  * No upstream changelog available
* Tue Aug  4 2015 jengelh@inai.de
- Update to new upstream release 2015.04.29
  * Resolve file descriptor leak
* Fri Apr 18 2014 jengelh@inai.de
- Initial package (version 2013.09.20) for build.opensuse.org
